TIMEREVENT Struct Reference

`#include <TimerThread.h>`

Collaboration diagram for TIMEREVENT:
[legend]

## Data Fields

ThreadPoolJob | job
time_t | eventTime
Duration | persistent
int | id

## Detailed Description

Struct to contain information for a timer event.

Internal to the TimerThread.

## Field Documentation

## eventTime

time_t TIMEREVENT::eventTime

[in] Absolute time for event in seconds since Jan 1, 1970.

Referenced by CreateTimerEvent(), TimerThreadSchedule(), and TimerThreadWorker().

## persistent

Duration TIMEREVENT::persistent

[in] Long term or short term job.

Referenced by CreateTimerEvent(), and TimerThreadWorker().

The documentation for this struct was generated from the following file:

- /build/pupnp-yoxcDv/pupnp-1.14.31/upnp/src/threadutil/TimerThread.h